laotoule8 发表于 2025-2-7 09:55:16

还有哪些例子可以用DEEPSEEK帮助CAD绘图的?

用了deepseek写的VBA代码用在CAD,挺好用的。有没有其他的方便CAD使用的deepseek的例子推荐一下?:)
Sub AddRectangleAndArrayAndTrim()
    ' 声明变量
    Dim lineObj As Object
    Dim startPoint As Variant
    Dim endPoint As Variant
    Dim rectWidth As Double
    Dim rectHeight As Double
    Dim rectStartPoint(0 To 2) As Double
    Dim rectEndPoint(0 To 2) As Double
    Dim rotationAngle As Double
    Dim rectObj As Object
    Dim points(0 To 7) As Double ' 用于存储矩形的四个顶点
    Dim centerPoint(0 To 2) As Double ' 直线的中点
    Dim newRectObj As Object ' 复制的矩形对象
    Dim rotationAngleRad As Double ' 旋转角度(弧度)
    Dim intersectPoint As Variant ' 交点
    Dim trimStartPoint As Variant ' 修剪后的起点
    Dim trimEndPoint As Variant ' 修剪后的终点
   
    ' 定义矩形的尺寸
    rectWidth = 0.1 ' 矩形的宽度(短边)
    rectHeight = 1' 矩形的高度(长边)
   
    ' 提示用户选择一条直线
    On Error Resume Next
    ThisDrawing.Utility.GetEntity lineObj, startPoint, "请选择一条直线: "
    On Error GoTo 0
   
    ' 检查用户是否选择了直线
    If lineObj Is Nothing Then
      MsgBox "未选择直线或选择无效。"
      Exit Sub
    End If
   
    ' 获取直线的起点和终点
    startPoint = lineObj.StartPoint
    endPoint = lineObj.EndPoint
   
    ' 计算直线的中点
    centerPoint(0) = (startPoint(0) + endPoint(0)) / 2
    centerPoint(1) = (startPoint(1) + endPoint(1)) / 2
    centerPoint(2) = (startPoint(2) + endPoint(2)) / 2
   
    ' 计算直线的角度(用于矩形的旋转)
    rotationAngle = Atn((endPoint(1) - startPoint(1)) / (endPoint(0) - startPoint(0)))
   
    ' 计算矩形的起点和终点
    rectStartPoint(0) = startPoint(0) - (rectWidth / 2) * Cos(rotationAngle + (3.14159 / 2))
    rectStartPoint(1) = startPoint(1) - (rectWidth / 2) * Sin(rotationAngle + (3.14159 / 2))
    rectStartPoint(2) = startPoint(2)
   
    rectEndPoint(0) = rectStartPoint(0) + rectHeight * Cos(rotationAngle)
    rectEndPoint(1) = rectStartPoint(1) + rectHeight * Sin(rotationAngle)
    rectEndPoint(2) = rectStartPoint(2)
   
    ' 定义矩形的四个顶点
    points(0) = rectStartPoint(0)
    points(1) = rectStartPoint(1)
    points(2) = rectEndPoint(0)
    points(3) = rectEndPoint(1)
    points(4) = rectEndPoint(0) + rectWidth * Cos(rotationAngle + (3.14159 / 2))
    points(5) = rectEndPoint(1) + rectWidth * Sin(rotationAngle + (3.14159 / 2))
    points(6) = rectStartPoint(0) + rectWidth * Cos(rotationAngle + (3.14159 / 2))
    points(7) = rectStartPoint(1) + rectWidth * Sin(rotationAngle + (3.14159 / 2))
   
    ' 创建矩形
    Set rectObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
   
    ' 创建圆周阵列(手动复制和旋转)
    rotationAngleRad = 180 * (3.14159 / 180) ' 将角度转换为弧度
    Set newRectObj = rectObj.Copy
    newRectObj.Rotate centerPoint, rotationAngleRad
   
    ' 修剪直线
    ' 查找直线与矩形的交点
    intersectPoint = lineObj.IntersectWith(rectObj, acExtendNone)
    If Not IsEmpty(intersectPoint) Then
      ' 修剪直线的起点
      trimStartPoint = intersectPoint
      lineObj.StartPoint = trimStartPoint
    End If
   
    intersectPoint = lineObj.IntersectWith(newRectObj, acExtendNone)
    If Not IsEmpty(intersectPoint) Then
      ' 修剪直线的终点
      trimEndPoint = intersectPoint
      lineObj.EndPoint = trimEndPoint
    End If
   
    ' 刷新视图
    ThisDrawing.Regen True
   
    ' 提示用户
    MsgBox "矩形、阵列和修剪操作已完成!"
End Sub

564156415gdr 发表于 2025-2-7 10:01:48

blender也可以。去年试过一次

学者11 发表于 2025-2-7 10:34:22

这叫脱裤子放屁,没有任何可行性。
首先怎么保证AI模型的回答不会有幻觉,你保证不了。
其次怎么保证工程师能识别出AI模型的回答有幻觉,更保证不了,因为多数机械工程师不懂代码。
最关键的是,AI模型根本不能直接控制CAD,还需要人手工把代码复制粘贴,CAD才会画图。
那请问为何不能直接让机械工程师直接画图,你既不能提高效率,又不能节省人工,这么骚操作的意义何在。

kayex 发表于 2025-2-7 16:04:55

这个把简单的事情复杂化了

寰宇无人 发表于 2025-2-8 09:27:49

以前用在SW二次开发上也行,主体代码能用,但一些自定义需求,以及配置啥的,自己要懂

寰宇无人 发表于 2025-2-8 09:28:01

以前用在SW二次开发上也行,主体代码能用,但一些自定义需求,以及配置啥的,自己要懂

寰宇无人 发表于 2025-2-8 09:29:43

想让他直接出图,标注尺寸,公差,工艺这些,还得大量模型喂他,不过未来的智能化发展,谁能说的准呢

zhl6200 发表于 2025-2-18 12:19:00

我直接给定齿轮参数,让deepseek画齿轮零件图,它明确回答我,他没有此功能,只给出了画图思路,也许以后会实现。
页: [1]
查看完整版本: 还有哪些例子可以用DEEPSEEK帮助CAD绘图的?